@font-face {
    font-family: 'balooregular';
    src: url('Baloo-Regular-webfont.woff') format('woff'),
        url('Baloo-Regular-webfont.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;

}

@font-face {
    font-family: 'open_sansbold';
    src: url('OpenSans-Bold-webfont.woff') format('woff'),
        url('OpenSans-Bold-webfont.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'open_sanslight';
    src: url('OpenSans-Light-webfont.woff') format('woff'),
        url('OpenSans-Light-webfont.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'open_sansregular';
    src: url('OpenSans-Regular-webfont.woff') format('woff'),
        url('OpenSans-Regular-webfont.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'open_sanssemibold';
    src: url('OpenSans-Semibold-webfont.woff') format('woff'),
        url('OpenSans-Semibold-webfont.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

body {
    font-family: 'Arial', sans-serif;
    background-color: #6EBC5E;
    color: black;
    margin: 0;
    display: flex;
    flex-direction: column;
    box-shadow: 0 0 20px rgba(0, 0, 0, 1.5);
}

#bandeau {
    background-color: #4CAF50;
    border: none;
    border-top: none;
    width: 100%;
    display: flex;
    justify-content: center;
}

#bandeau img.flag {
    margin-right: 0.5em;
    margin-left: 0.5em;
    width: 1.5em;
    height: 1.5em;
    object-fit: contain;
}

h1 {
    font-size: 2.7em;
    font-family: 'balooregular', Arial, sans-serif;
    font-weight: bold;
    margin-bottom: 10px;
}

p {
    font-size: 1.2em;
    font-family: 'open_sansregular', Arial, sans-serif;
    text-align: left;
    margin-left: 0.5%;
}

.auto-width {
    width: auto !important;
}

#categorieLabel {
    font-size: 1.2em; /* Définir la taille de police */
    font-family: 'open_sansregular', Arial, sans-serif; /* Utiliser la même police que pour les autres textes */
    font-weight: lighter;
    margin-right: 5px; /* Ajouter une marge à droite pour l'espacement */
}

#categorieContainer {
    display: flex; /* Utiliser Flexbox pour aligner les éléments horizontalement */
    width: 99%;
    align-items: center;
    margin: 0 auto;
}

#categorieDropdown {
    width: 30% !important; /* Définir la largeur à 30% de l'écran */
    max-width: 200px; /* Limiter la largeur maximale pour éviter le débordement */
    font-size: 1.2em; /* Définir la taille de police */
    font-family: 'open_sansregular', Arial, sans-serif; /* Utiliser la même police que pour les autres textes */
    font-weight: lighter;
    overflow-y: auto; /* Activation du défilement vertical si nécessaire */
}
.select2-selection__rendered {
    display: none;
}

table {
    background-color: #aed581;
    width: 80%;
    align-items: center;
    margin: 0 auto;
    font-family: 'open_sansregular', Arial, sans-serif;
    font-weight: lighter;
    font-size: 1.2em;
}

table.dataTable tbody td,
table.dataTable thead th {
    font-weight: normal;
}

#myTable_wrapper {
    margin-top: 10px;
    position: relative;
    width: 100%;
}

#myTable_length,
#myTable_filter,
#myTable_paginate {
    margin-right: 10px;
    margin-left: 10px;
    display: inline-block;
    font-family: 'open_sansregular', Arial, sans-serif;
    font-weight: lighter;
}

#myTable_filter input {
    background-color: white;
    font-size: 1.2em;
    /* Ajout de la taille de police pour la recherche textuelle */
}

#myTable_length select {
    background-color: white;
    font-size: 1.2em;
    /* Ajout de la taille de police pour le nombre de lignes par page */
}

#myTable_paginate .paginate_button,
#myTable_paginate,
#myTable_length,
#myTable_filter,
#myTable_info {
    font-size: 1.2em;
    /* Ajout de la taille de police pour la pagination et le compteur en bas à gauche */
}

#myTable thead th {
    font-size: 1.2em;
}

img.responsive {
    display: block;
    max-width: 100%;
    height: auto;
}

.logo-image {
    max-height: 20px;
    max-width: 100%;
    vertical-align: middle;
}

.framagit-logo,
.csv-logo,
.license-logo {
    max-height: 25px;
    max-width: auto;
}

@media screen and (max-width: 767px) {

    table.dataTable thead th,
    table.dataTable tbody td {
        font-size: 0.8em;
    }

    #myTable_paginate {
        font-size: 4.0em;
    }

    #myTable_length,
    #myTable_filter {
        font-size: 4.0em;
    }

    #myTable_info {
        font-size: 4em;
        margin-right: 5px;
        margin-left: 5px;
    }

    #myTable_wrapper {
        margin-top: 5px;
    }

    #myTable tbody td a img.logo-image {
        max-height: 15px;
    }
}